Subject: Re: bridge vlan filtering question

From: Vlad Yasevich <[email-masked]>
Date: Mon, 25 Nov 2013 13:19:40 -0500

On 11/25/2013 02:54 AM, Mike Rapoport wrote:
> Hi all,
> 
> I'm trying to use brigde vlan filtering and I cannot get any traffic
> through the bridge.
> After looking at the code I've noticed that br_get_pvid is always
> returning VLAN_N_VID because VLAN_TAG_PRESENT is never set in the pvid
> field of net_port_vlans.
> Am I missing something or is this an actual bug?
> 

It's a bug.  It's been fixed upstream and has been queued to stable.

commit d1c6c708c4da9d104e0b7c116654cb449bff9b5f
Author: Toshiaki Makita <[email-masked]>
Date:   Wed Oct 16 17:07:15 2013 +0900

    bridge: Fix the way the PVID is referenced

-vlad